- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreTexture.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreHardwareBuffer.h"`
`#include "OgreResource.h"`
`#include "OgreImage.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::Texture
| Abstract class representing a Texture resource. More...
class | Ogre::TexturePtr
| Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr. More...
## Enumerations
enum | Ogre::TextureUsage { Ogre::TU_STATIC = HardwareBuffer::HBU_STATIC, Ogre::TU_DYNAMIC = HardwareBuffer::HBU_DYNAMIC, Ogre::TU_WRITE_ONLY = HardwareBuffer::HBU_WRITE_ONLY, Ogre::TU_STATIC_WRITE_ONLY = HardwareBuffer::HBU_STATIC_WRITE_ONLY, Ogre::TU_DYNAMIC_WRITE_ONLY = HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY, Ogre::TU_DYNAMIC_WRITE_ONLY_DISCARDABLE = HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE, Ogre::TU_AUTOMIPMAP = 0x100, Ogre::TU_RENDERTARGET = 0x200, Ogre::TU_DEFAULT = TU_AUTOMIPMAP | TU_STATIC_WRITE_ONLY }
| Enum identifying the texture usage. More...
enum | Ogre::TextureType { Ogre::TEX_TYPE_1D = 1, Ogre::TEX_TYPE_2D = 2, Ogre::TEX_TYPE_3D = 3, Ogre::TEX_TYPE_CUBE_MAP = 4 }
| Enum identifying the texture type. More...
enum | Ogre::TextureMipmap { Ogre::MIP_UNLIMITED = 0x7FFFFFFF, Ogre::MIP_DEFAULT = -1 }
| Enum identifying special mipmap numbers. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:59 2008